routes/web.php
<?php

Route::view('example','example.index');
Route::view('example/create','example.create');

// ROUTE WEB-PROFILE
Route::view('/','welcome');
Route::resource('attention','AttentionController');
Route::prefix('admin')->middleware('auth')->group(function(){
    Route::view('/','pages.other.dashboard')->name('admin');
    Route::resource('setting','SettingController');
    Route::resource('major','MajorController');
    Route::resource('school_year', 'SchoolYearController');
    Route::resource('subject','SubjectController');
    Route::resource('bill', 'BillController');
    Route::resource('bill_filter', 'BillFilterController');
    Route::resource('classgroup','ClassGroupController');
    Route::resource('video','VideoController');
    Route::resource('teacher', 'TeacherController');
    Route::resource('eskul', 'EskulController');
    Route::resource('student','StudentController');
    Route::resource('banner','BannerController');
    Route::resource('categorytype','CategoryTypeController');
    Route::resource('publisher','PublisherController');
    Route::resource('author','AuthorController');
    Route::resource('student','StudentController');
    Route::resource('book','BookController');
    Route::resource('book_category','BookCategoryController');

    Route::resource('employee','EmployeeController');
    Route::resource('attitude','AttitudeController');

    Route::resource('absent','AbsentController');
    Route::post('/input_absen','AbsentController@input_absen')->name('input_absen');
    Route::post('/data_absen','AbsentController@data_absen')->name('data_absen');

    Route::resource('schedule','ScheduleController');

    Route::resource('article','ArticleController');
    Route::resource('prestation','PrestationController');
    Route::resource('borrow_type','BorrowTypeController');
    Route::resource('book_borrow','BookBorrowController');
    Route::resource('uks','UksController');
    Route::resource('task', 'TaskController');
    Route::resource('examtype', 'ExamTypeController');
    Route::group(['prefix' => 'user'], function() {
        Route::view('/', 'pages.user.index');
    });
    Route::group(['prefix'=>'book_borrow'],function() {
        Route::get('next/{nis}','BookBorrowController@next')->name('book_borrow.next');
        Route::get('delete/{id}','BookBorrowController@destroy')->name('book_borrow.deletes');
    });
    Route::resource('attitude','AttitudeController');
});


Route::prefix('student')->middleware('student')->group(function(){
    Route::get('logout','StudentAuth\LoginController@logout')->name('student.logout');
    Route::middleware('student')->group(function(){
        Route::get('/','StudentController@dashboard')->name('student.dashboard');
        Route::resource('notes','NotesController');
        Route::get('attention','AttentionController@student_attention')->name('student.attention');
        Route::get('task','TaskController@student_task')->name('student.task');
        Route::get('absent','AbsentController@student_index')->name('student.absent');
        Route::post('absent/filter','AbsentController@student_filter')->name(
            'student.absent.filter');
    });
});

Route::prefix('teacher')->middleware('teacher')->group(function(){
    Route::view('/','pages.teacher.dashboard');
    // SUBJECT BAB
    Route::resource('subjectbab','SubjectBabController');
    Route::get('storebab','SubjectBabController@storeBab')->name('teacher.storebab');
    Route::post('insertbab','SubjectBabController@insertbab')->name('teacher.insertbab');

    // QUESTION BANK
    Route::resource('qbank','QuestionBankController');

    Route::resource('document','DocumentController');

    Route::resource('attitudeTransaction','attitudeTransactionController');

    Route::get('setting','QuestionBankController@addSetting')->name('teacher.setting');
    Route::post('addquestion','QuestionBankController@addQuestion')->name('teacher.addquestion');

    // EXAM MANAGE
    Route::resource('exam_manage','ExamManageController');
    Route::get('choose_question/{id}/{subject_id}','ExamManageController@choose_question')->name('teacher.choose_question');

    // Task
    Route::resource('task', 'TaskController');

    // Score
    Route::resource('score', 'ScoreController');
});



Auth::routes();
//Credentials
Route::get('student/login','StudentAuth\LoginController@showLoginForm')->name('student.login.form');
Route::get('teacher/login','TeacherAuth\LoginController@showLoginForm')->name('teacher.login.form');
Route::post('student/login','StudentAuth\LoginController@login')->name('student.login.store');
Route::post('teacher/login','TeacherAuth\LoginController@login')->name('teacher.login.store');
Route::post('teacher/logout','TeacherAuth\LoginController@logout')->name('teacher.logout');
Route::post('student/logout','StudentAuth\LoginController@logout')->name('student.logout');
Route::get('/home', 'HomeController@index')->name('home');

app/Video.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Video extends Model
{
    protected $fillable = [
    	'title', 
    	'content', 
    	'image', 
    	'type', 
    	'video', 
    	'category_content_id',
    ];

    public function category()
    {
    	return $this->hasOne('App\categoryType', 'id', 'category_content_id');
    }
}

app/Http/Controllers/API/VideoController.php
<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Video;
class VideoController extends Controller
{
    
    public function index()
    {
        return response()->json(
            Video::latest()->paginate()
        ,200);
    }


}

app/Http/Controllers/VideoController.php
<?php

namespace App\Http\Controllers;

use App\Video;
use App\categoryType;
use Illuminate\Http\Request;
use Storage;
use App\Http\Controllers\Controller;

class VideoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('pages.web-profile.video.index',['video'=>Video::latest()->get()]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('pages.web-profile.video.create',['category'=>categoryType::all()]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'title' => 'required|string',
            'content' => 'required|string',
            'image' => 'required|mimes:jpg,png,jpeg',
            'type' => 'required',
            'video' => 'required',
        ]);



        if ($request->type == "embed") {
            $file = new Video($request->all());
            $file->image = $request->file('image')->store('web_profile/photo');
            $file->save();   
        } else {
            $file = new Video($request->all());
            $file->image = $request->file('image')->store('web_profile/photo');
            $file->video = $request->file('video')->store('web_profile/video');    
            $file->save();
        }

        return redirect()->route('video.index')->with('message', 'Video berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Video  $video
     * @return \Illuminate\Http\Response
     */
    public function show(Video $video)
    {
        return view('pages.web-profile.video.show',['video'=>$video]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Video  $video
     * @return \Illuminate\Http\Response
     */
    public function edit(Video $video)
    {
        return view('pages.web-profile.video.edit',[
            'edit'=>$video,
            'kategori'=>categoryType::all()
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Video  $video
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Video $video)
    {
        $this->validate($request,[
            'title' => 'required|string',
            'content' => 'required|string',
            'type' => 'required',
            'video' => 'required',
        ]);

        if ($request->hasFile('photo') && $request->hasFile('video')) {
            $object = Video::find($video->id);
            Storage::delete($object->image);
            Storage::delete($object->video);
            $object->image = $request->file('photo')->store('web_profile/photo');
            $object->video = $request->file('video')->store('web_profile/video');
            $object->save();
        } else {
            Video::find($video->id)->update($request->except('video','photo','_token','_method'));
        }

        return redirect()->route('video.index')->with('message','Update Success');
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Video  $video
     * @return \Illuminate\Http\Response
     */
    public function destroy(Video $video)
    {
        if ($video->type == "local") {
            unlink(public_path('app/').$video->image);
            unlink(public_path('app/').$video->video);
            $video->delete();
        } else {
            unlink(public_path('app/').$video->image);
            $video->delete();
        }
        return redirect()->route('video.index')->with('message','Menghapus');
    }
}

app/Http/Controllers/WebProfileController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Banner;
use App\Eskul;

class WebProfileController extends Controller
{
    public function home(){

    	return view('templates.web-profile.main', [
    		'eskul' => Eskul::all(),
            'banner' => Banner::all(),
        ]);
    }
}

resources/views/pages/web-profile/video/create.blade.php
@extends('templates.temp')

@section('title','Buat Video')
@section('page_name','Buat Video')
@section('breadcrumb')
<a href="" class="kt-subheader__breadcrumbs-link">
CMS Sekolah </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('video.index') }}" class="kt-subheader__breadcrumbs-link">
    Video </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('video.create') }}" class="kt-subheader__breadcrumbs-link">
    Buat Video </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Video</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('video.index') }}" class="btn btn-clean btn-bold btn-upper btn-font-sm">
                    <i class="la la-long-arrow-left"></i>
                    Kembali
                </a>
            </div>
        </div>
    </div>

    <form class="kt-form kt-form--label-right" action="{{route('video.store')}}" method="POST" enctype="multipart/form-data">
        <div class="kt-portlet__body">
            @csrf
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Judul</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <input type="text" class="form-control" name="title" id="nama" required value="{{ old('title') }}">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Konten</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <textarea name="content" id="" class="summernote" cols="30" rows="10">{{ old('content') }}</textarea>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Gambar</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                    <input type="file" name="image" id="photo" data-allowed-file-extensions="png jpg jpeg" class="dropify" data-height="250">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Tipe</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                    <select name="type" id="type" class="form-control kt_selectpicker">
                        <option value="">Pilih Tipe</option>
                        <option value="local">Local</option>
                        <option value="embed">Embed</option>
                    </select>
                </div>
            </div>
                    <div class="form-group form-file">
                        <label for="">Local</label>
                        <input type="file" class="dropify" data-allowed-file-extensions="3gp mp4 mkv" name="video">
                    </div>
                    <div class="form-group form-embed">
                        <label for="">Embed</label>
                        <input type="text" class="form-control" placeholder="https://www.youtube.com/embed/CacPltdpmrI" name="video">
                    </div>
                    <div class="form-group row">
                        <label class="col-form-label col-lg-2 col-sm-12">Kategori Konten</label>
                            <div class="col-lg-8 col-md-9 col-sm-12">
                                <select name="category_content_id" class="form-control kt_selectpicker">
                                @foreach($category as $val)
                                    <option value="{{ $val->id }}">{{ $val->name }}</option>
                                @endforeach
                                </select>
                            </div>
                    </div>
                        <!-- <input type="text" name="category_content_id" id="category_content_id" class="form-control"> -->
                    </div>
                    <div class="kt-portlet__foot text-center">
                        <div class="kt-form__actions">
                            <div class="row">
                                <div class="col-lg-12 col-sm-12"></div>
                                <div class="col-lg-12 col-sm-12">
                                    <button type="submit" class="btn btn-brand">Simpan</button>
                                    <button type="reset" class="btn btn-secondary">Batal</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
@endsection
@section('script')
<script>
    $(document).ready(function(){
        $('.form-embed').hide();
        $('.form-file').hide();
        $('#type').change(function(data){
            if($(this).val()=="embed")
            {
                $('.form-embed').show();
                $('.form-file').hide();
            }else if($(this).val()=="local"){
                $('.form-embed').hide();
                $('.form-file').show();
            }else{
                $('.form-embed').hide();
                $('.form-file').hide();
            }
        });
    });
</script>
@endsection
    

resources/views/pages/web-profile/video/edit.blade.php
@extends('templates.temp')

@section('title','Edit Video')
@section('page_name','Edit Video')
@section('breadcrumb')
<a href="" class="kt-subheader__breadcrumbs-link">
CMS Sekolah </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('video.index') }}" class="kt-subheader__breadcrumbs-link">
    Video </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="" class="kt-subheader__breadcrumbs-link">
    Edit Video </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Edit Video</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('video.index') }}" class="btn btn-clean btn-bold btn-upper btn-font-sm">
                    <i class="la la-long-arrow-left"></i>
                    Kembali
                </a>
            </div>
        </div>
    </div>
    <form action="{{ route('video.update',$edit) }}" method="POST" enctype="multipart/form-data">
        {{ method_field('put') }}
        @csrf
        <div class="kt-portlet__body">
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Judul</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <input type="text" class="form-control" name="title" id="nama" required value="{{ $edit->title }}">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Konten</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <textarea class="summernote" cols="60" rows="10" name="content" id="nama" required>{{ $edit->content }}</textarea>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Gambar</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <input type="file" name="photo" id="photo" data-allowed-file-extensions="png jpg jpeg" data-default-file="{{ asset('app/'.$edit->image) }}" class="dropify">
                </div>
            </div>
             @if($edit->type == "local")
             <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Video Local</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                <input type="hidden" name="type" value="{{ $edit->type }}">
                        <input type="file" name="video" id="photo" data-allowed-file-extensions="3gp mkv mp4" data-default-file="{{ asset('app/'.$edit->video) }}" class="dropify">
                </div>
            </div>
            @elseif($edit->type == "embed")
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Embed</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                        <input type="hidden" name="type" value="{{ $edit->type }}">
                        <input type="text" name="video" value="{{ $edit->video }}" id="photo" class="form-control">
                </div>
            </div>
            @endif
            <div class="form-group row">
                <label class="col-form-label col-lg-2 col-sm-12">Kategori Konten</label>
                <div class="col-lg-8 col-md-9 col-sm-12">
                    <select name="status" class="form-control kt_selectpicker">
                    @foreach($kategori as $val)
                        @if($edit->category_content_id == $val->id)
                            <option value="{{ $val->id }}" selected>{{ $val->name }}</option>
                        @else
                            <option value="{{ $val->id }}" checked>{{ $val->name }}</option>
                        @endif
                    @endforeach
                    </select>
                </div>
             </div>
             <div class="kt-portlet__foot text-center">
                <div class="kt-form__actions">
                    <div class="row">
                        <div class="col-lg-12 col-sm-12"></div>
                        <div class="col-lg-12 col-sm-12">
                            <button type="submit" class="btn btn-brand">Update</button>
                            <button type="reset" class="btn btn-secondary">Batal</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
@endsection
    

resources/views/pages/web-profile/video/index.blade.php
@extends('templates.temp')

@section('title','Video')
@section('breadcrumb')
<a href="" class="kt-subheader__breadcrumbs-link">
    CMS Sekolah </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('video.index') }}" class="kt-subheader__breadcrumbs-link">
    Video </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
            <div class="kt-portlet__head-label">
                <h3 class="kt-portlet__head-title">Video</h3>
            </div>
            <div class="kt-portlet__head-toolbar">
                <div class="kt-portlet__head-wrapper">
                    <a href="{{ route('video.create') }}"
                        class="btn btn-default btn-bold btn-upper btn-font-sm">
                        <i class="flaticon2-add-1"></i>
                        Buat Baru
                    </a>
                </div>
            </div>
        </div>

        <div class="kt-portlet__body">
                <table class="table data-table">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Judul</th>
                            <th>Type</th>
                            <th>Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($video as $show)
                            <tr>
                                <td>{{ $loop->index + 1 }}</td>
                                <td>{{ $show->title }}</td>
                                @if($show->type == 'local')
                                <td>
                                    <div class="badge badge-primary">Local</div>
                                </td>
                                @else
                                <td>
                                    <div class="badge badge-warning">Embed</div>
                                </td>
                                @endif
                                <td nowrap class="text-center">
                                    <a href="{{ route('video.destroy',$show->id) }}" class="btn btn-secondary btn-elevate btn-circle btn-icon delete-btn"><i class="la la-trash"></i></a>
                                    <a href="{{ route('video.edit',$show) }}" class="btn btn-secondary btn-elevate btn-circle btn-icon"><i class="la la-edit"></i></a>
                                    <a href="{{ route('video.show',$show) }}" class="btn btn-secondary btn-elevate btn-circle btn-icon"><i class="la la-eye"></i></a>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
@endsection

resources/views/pages/web-profile/video/show.blade.php
@extends('templates.temp')

@section('title','Detail Video')
@section('page_name','Detail Video')
@section('breadcrumb')
<a href="" class="kt-subheader__breadcrumbs-link">
CMS Sekolah </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="{{ route('video.index') }}" class="kt-subheader__breadcrumbs-link">
    Video </a>
<span class="kt-subheader__breadcrumbs-separator"></span>
<a href="" class="kt-subheader__breadcrumbs-link">
    Detail Video </a>
@endsection

@section('content')
<div class="kt-portlet kt-portlet--mobile">
    <div class="kt-portlet__head kt-portlet__head--lg">
        <div class="kt-portlet__head-label">
            <h3 class="kt-portlet__head-title">Detail Video</h3>
        </div>
        <div class="kt-portlet__head-toolbar">
            <div class="kt-portlet__head-wrapper">
                <a href="{{ route('video.index') }}" class="btn btn-clean btn-bold btn-upper btn-font-sm">
                    <i class="la la-long-arrow-left"></i>
                    Kembali
                </a>
            </div>
        </div>
    </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <h5>Title</h5>
                            <p>{{ $video->title }}</p>
                        </div>
                        <hr>
                        <div class="form-group">
                            <h5>Content</h5>
                            <p>{!! $video->content !!}</p>
                        </div>
                        <hr>
                        <div class="form-group">
                            <h5>Photo</h5>
                            <input type="file" disabled class="dropify"
                                data-default-file="{{ asset('app/'.$video->image) }}">
                        </div>
                        <hr>
                        <div class="form-group">
                            <h5>Type</h5>
                            @if($video->type == 'local')
                                <div class="badge badge-primary">Local</div>
                            @else
                                <div class="badge badge-warning">Embed</div>
                            @endif
                        </div>
                        <hr>
                        <div class="form-group">
                            <h5>Video</h5>
                            @if($video->type == "embed")
                                <div class="plyr__video-embed" id="player">
                                    <iframe
                                        src="{{ $video->video }}"
                                        allowfullscreen
                                        allowtransparency
                                        allow="autoplay"
                                    ></iframe>
                                </div>
                            @elseif($video->type == "local")
                                <video poster="{{ asset('app/'.$video->image )}}" id="player" playsinline controls width="975" height="400">
                                    <source src="{{ asset('app/'.$video->video) }}" type="video/mp4" />
                                </video>
                            @endif
                        </div>
                        <hr>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection